import { ICodeEditor, IDiffEditor } from '@vscode/monaco-editor/esm/vs/editor/browser/editorBrowser';
import { IDecorationRenderOptions } from '@vscode/monaco-editor/esm/vs/editor/common/editorCommon';
import { IModelDecorationOptions, ITextModel } from '@vscode/monaco-editor/esm/vs/editor/common/model';
import { IResourceInput } from '@vscode/monaco-editor/esm/vs/platform/editor/common/editor';
import { ICodeEditorService } from '@workbench-stack/core';
export declare class CodeEditorService implements ICodeEditorService {
    addCodeEditor(editor: ICodeEditor): void;
    removeCodeEditor(editor: ICodeEditor): void;
    listCodeEditors(): ICodeEditor[];
    addDiffEditor(editor: IDiffEditor): void;
    removeDiffEditor(editor: IDiffEditor): void;
    listDiffEditors(): IDiffEditor[];
    getFocusedCodeEditor(): ICodeEditor | null;
    registerDecorationType(key: string, options: IDecorationRenderOptions, parentTypeKey?: string): void;
    removeDecorationType(key: string): void;
    resolveDecorationOptions(typeKey: string, writable: boolean): IModelDecorationOptions;
    setTransientModelProperty(model: ITextModel, key: string, value: any): void;
    getTransientModelProperty(model: ITextModel, key: string): any;
    getActiveCodeEditor(): ICodeEditor | null;
    openCodeEditor(input: IResourceInput, source: ICodeEditor | null, sideBySide?: boolean): Promise<ICodeEditor | null>;
}
