import { IModeService } from '@workbench-stack/core';
import { Observable } from 'rxjs';
import { IMode } from '@vscode/monaco-editor/esm/vs/editor/common/modes';
import { IModeService as IEditorModeService } from '@vscode/monaco-editor/esm/vs/editor/common/services/modeService';
export declare class ModeService implements IModeService {
    onDidCreateMode: Observable<IMode>;
    private static _modeService;
    constructor();
    static getModeService(): IEditorModeService;
    getExtensions(alias: string): string[];
    getFilenames(alias: string): string[];
    getModeId(commaSeparatedMimetypesOrCommaSeparatedIds: string): string;
    getMimeForMode(modeId: string): string;
    getLanguageName(modeId: string): string;
    getModeIdForLanguageName(alias: string): string;
    getModeIdByFilepathOrFirstLine(filepath: string, firstLine?: string): string;
    getLanguageIdentifier(modeId: any): import("@vscode/monaco-editor/esm/vs/editor/common/modes").LanguageIdentifier;
    create(commaSeparatedMimetypesOrCommaSeparatedIds: string): import("@vscode/monaco-editor/esm/vs/editor/common/services/modeService").ILanguageSelection;
    createByLanguageName(languageName: string): import("@vscode/monaco-editor/esm/vs/editor/common/services/modeService").ILanguageSelection;
    createByFilepathOrFirstLine(filepath: string, firstLine?: string): import("@vscode/monaco-editor/esm/vs/editor/common/services/modeService").ILanguageSelection;
}
