import { IClientWorkspaceContextService as IWorkspaceContextService, IConfigurationOverrides, ConfigurationTarget } from '@workbench-stack/core';
import * as core from '@workbench-stack/core';
import { URI } from '@vscode/monaco-editor/esm/vs/base/common/uri';
import { ApolloClient } from 'apollo-client';
import { InMemoryCache } from 'apollo-cache-inmemory';
export declare class WorkspaceContextService extends core.AbstractWorkspaceService implements IWorkspaceContextService {
    private lifecycleService;
    private client;
    private cache;
    private utility;
    protected logger: any;
    constructor(lifecycleService: core.ILifecycleService, client: ApolloClient<any>, cache: InMemoryCache, utility: any, logger: any);
    extInitialize(): Promise<void>;
    reloadConfiguration(): Promise<void>;
    private asyncInitializedWorkspaceContainer;
    private asyncInitializedConfigurationContainer;
    updateValue(key: string, value: any): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides): Promise<void>;
    updateValue(key: string, value: any, target: ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides, target: ConfigurationTarget): Promise<void>;
    updateValue(key: string, value: any, overrides: IConfigurationOverrides, target: ConfigurationTarget, donotNotifyError: boolean): Promise<void>;
    addFolders(foldersToAdd: core.IWorkspaceFolderCreationData[], index?: number): Promise<void>;
    removeFolders(foldersToRemove: URI[]): Promise<void>;
    updateFolders(foldersToAdd: core.IWorkspaceFolderCreationData[], foldersToRemove: URI[], index?: number): Promise<void>;
}
